NAME
smtpd - receive incoming SMTP messages

SYNOPSIS
smtpd [ -n ] [ -H helohost ] [ -h thishost ] [ -L loadlim ] [ -l maxprocs ]

DESCRIPTION
smtpd is a daemon that normally runs while in multi-user mode, waiting for requests from remote hosts to send mail. smtpd listens for these requests on any TLI-based network for which the SMTP service is defined (to netdir_getbyname(3)). Normally, this will only be the ``tcp'' network. As requests are received, smtpd will fork off child smtpd processes to handle each individual SMTP transaction.

The options to smtpd and their meanings are as follows:

-n  Do not create smtpsched processes to process the incoming mail. Rely on the hourly cron(1) invocation of smtpsched instead.

-H helohost
    This option can be used to specify the name to be used for the host in the initial SMTP HELO message. If it is not specified, the name used in the HELO message defaults to the system node name.

-h thishost
    Specify the network name to be prepended onto the sender path in the From line of the message. This option is passed through to the fromsmtp program.

-L loadlim
    Specify the maximum load at which smtpd will create children. If this option is not specified, there is no limit to the load at which children may run. The load is determined by reading the kernel variable avenrun.

-l maxprocs
    This option is used to specify the maximum number of children of smtpd that can be running at once. Each child handles one SMTP conversation. If this option is not specified, there is no limit to the number of children that may run.

Mail that is successfully received is piped to the fromsmtp command, which in turn delivers the mail by piping it to rmail. A log of all smtpd's activities is kept in the file /var/spool/smtpq/LOG.

FILES

/dev/kmem
    To get the current machine load (avenrun)

/etc/services
    List of TCP/UDP services (SMTP should be 25/tcp)

/etc/net/*/services
    List of other TLI networks' services

/usr/lib/mail/surrcmd/fromsmtp
    Where incoming mail is piped to

/var/spool/smtpq/LOG
    Log of smtpd transactions

SEE ALSO
cron(1M), fromsmtp(1M), smtp(1M)